> For the complete documentation index, see [llms.txt](https://docs.uqudo.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uqudo.com/docs/kyc/uqudo-sdk/sdk-result/data-structure/reading-object/ghana-id.md).

# Ghana ID

<table><thead><tr><th width="193">Attribute Level 1</th><th width="190">Attribute Level 2</th><th>Description</th></tr></thead><tbody><tr><td><strong>photo</strong></td><td></td><td>Base64 encoded picture of the user.</td></tr><tr><td><strong>photoMimeType</strong></td><td></td><td>image/jp2 or image/jpeg</td></tr><tr><td><strong>mrz</strong></td><td></td><td>{} MRZ object</td></tr><tr><td></td><td><strong>documentCode</strong></td><td>Document code as per MRZ standard</td></tr><tr><td></td><td><strong>dateOfExpiry</strong></td><td>Date of expire as per MRZ standard</td></tr><tr><td></td><td><strong>optionalData2</strong></td><td>Optional field 2 as per MRZ standard</td></tr><tr><td></td><td><strong>gender</strong></td><td>Gender as per MRZ standard</td></tr><tr><td></td><td><strong>nationality</strong></td><td>Nationality as per MRZ standard</td></tr><tr><td></td><td><strong>documentNumber</strong></td><td>Document number as per MRZ standard</td></tr><tr><td></td><td><strong>dateOfBirth</strong></td><td>Date of Birth as per MRZ standard</td></tr><tr><td></td><td><strong>issuingState</strong></td><td>Document issuer as per MRZ standard</td></tr><tr><td></td><td><strong>secondaryIdentifier</strong></td><td>First name as per MRZ standard</td></tr><tr><td></td><td><strong>primaryIdentifier</strong></td><td>Surname as per MRZ standard</td></tr><tr><td></td><td><strong>optionalData1</strong></td><td>Optional Data 1 as per MRZ standard</td></tr><tr><td><strong>personalDetails</strong></td><td></td><td>Additional personal details</td></tr><tr><td></td><td><strong>personalNumber</strong></td><td></td></tr><tr><td><strong>documentDetails</strong></td><td></td><td>Additional document details</td></tr><tr><td></td><td><strong>personalizationSystemSerialNumber</strong></td><td></td></tr><tr><td><strong>documentSigningCertificate</strong></td><td></td><td>{}</td></tr><tr><td></td><td><strong>serialNumber</strong></td><td></td></tr><tr><td></td><td><strong>publicKeyAlgorithm</strong></td><td></td></tr><tr><td></td><td><strong>subject</strong></td><td></td></tr><tr><td></td><td><strong>certificateThumbprint</strong></td><td></td></tr><tr><td></td><td><strong>validFrom</strong></td><td></td></tr><tr><td></td><td><strong>signatureAlgorithm</strong></td><td></td></tr><tr><td></td><td><strong>issuer</strong></td><td></td></tr><tr><td></td><td><strong>validTo</strong></td><td></td></tr><tr><td><strong>dataGroupHashes</strong></td><td></td><td>[{}] Array of objects. Data group hashes, stored and computed</td></tr><tr><td></td><td><strong>computedHash</strong></td><td></td></tr><tr><td></td><td><strong>dataGroupNumber</strong></td><td></td></tr><tr><td></td><td><strong>storedHash</strong></td><td></td></tr><tr><td></td><td><strong>match</strong></td><td>If computedHash and storedHash match</td></tr><tr><td><strong>validity</strong></td><td></td><td>{}</td></tr><tr><td></td><td><strong>dataGroupHashesSucceeded</strong></td><td>True if all data group hashes, computed and stored, match. For a successful KYC process this value can only be true.</td></tr><tr><td></td><td><strong>sodSignatureSucceeded</strong></td><td>True if the signature of the SOD object has been successfully validated against the document signing certificate. For a successful KYC process this value can only be true.</td></tr><tr><td></td><td><strong>chipAuthenticationPerforme</strong></td><td>True if the chip authentication has been performed during the scanning of the CHIP in the NFC step</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.uqudo.com/docs/kyc/uqudo-sdk/sdk-result/data-structure/reading-object/ghana-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
